<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for ResultList StructType
 * @subpackage Structs
 */
class ResultList extends ExecutionResult
{
    /**
     * The IDs
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \ArrayType\ArrayOfLong
     */
    public $IDs;
    /**
     * Constructor method for ResultList
     * @uses ResultList::setIDs()
     * @param \ArrayType\ArrayOfLong $iDs
     */
    public function __construct(\ArrayType\ArrayOfLong $iDs = null)
    {
        $this
            ->setIDs($iDs);
    }
    /**
     * Get IDs value
     * @return \ArrayType\ArrayOfLong|null
     */
    public function getIDs()
    {
        return $this->IDs;
    }
    /**
     * Set IDs value
     * @param \ArrayType\ArrayOfLong $iDs
     * @return \StructType\ResultList
     */
    public function setIDs(\ArrayType\ArrayOfLong $iDs = null)
    {
        $this->IDs = $iDs;
        return $this;
    }
}
